/**
 * @file   processImage.cpp
 * @author Jan Moravec (jan.moravec@workswell.cz)
 * @copyright (c) 2017, Workswell s.r.o., All rights reserved.
 * @date   March, 2017
 */

#include "processImage.h"

#include <iostream>

void prepareGreyImage(uint16_t *input_buffer, uint8_t *output_buffer, int width, int height)
{
	int indi = 0; // index_in and index_out

	// Find maximum and minimum
	uint16_t max = 0, min = UINT16_MAX;
	for (int y = 0; y < height; ++y) {
		for (int x = 0; x < width; ++x) {
			indi = y * width + x; // input index
			// Min Max
			if (min > input_buffer[indi]) {
				min = input_buffer[indi];
			}
			if (max < input_buffer[indi]) {
				max = input_buffer[indi];
			}
		}
	}

	// Write Grayscale values
	double step = 255 / (double) (max - min); // Make pix values to 0-255
	for (int y = 0; y < height; ++y) {
		for (int x = 0; x < width; ++x) {
			indi = y * width + x; // input index
			output_buffer[indi]= (input_buffer[indi] - min) * step; // Make pix values to 0-255
		}
	}
}
