/**
 * @file   saveImage.h
 * @author Jan Moravec (jan.moravec@workswell.cz)
 * @copyright (c) 2017, Workswell s.r.o., All rights reserved.
 * @date   March, 2017
 * @brief  This files contains functions for saving the image as JPEG.
 */

#ifndef SRC_LIB_SAVEIMAGE_H_
#define SRC_LIB_SAVEIMAGE_H_

#include <stdint.h>

/**
 * Save JPEG image from grayscale buffer
 * @param name Image name
 * @param image_gray Gray buffer
 * @param width
 * @param height
 */
void saveGrayJpeg(char *name, uint8_t *image_gray, int width, int height);
/**
 *
 * @param name Save JPEG from visible frame
 * @param image_vis Visible buffer, format YUYV
 * @param width
 * @param height
 */
void saveVisibleJpeg(char *name, uint8_t *image_vis, int width, int height);

#endif /* SRC_LIB_SAVEIMAGE_H_ */
