/**
 * @file   visible.h
 * @author Jan Moravec (jan.moravec@workswell.cz)
 * @copyright (c) 2017, Workswell s.r.o., All rights reserved.
 * @date   March, 2017
 * @brief  This files contains functions for connecting and streaming the thermal images from WIRIS thermal port.
 */

#ifndef SRC_LIB_VISIBLE_H_
#define SRC_LIB_VISIBLE_H_

#include <stdint.h>

/// Connect to server - IP address and port number
int connectVisible(char *server, int port);
/// Close connection
int closeVisible(void);

/// Basic functions receiving data
int receiveVisible(uint8_t *buf, int length, int tmout);
/// Basic functions for sending
int sendVisible(const char *mess, int length);

/// Check connection, 0 if OK, -1 if error
int checkVisible(void);
/// Return visible frame from WIRIS
int getFrameVisible(uint8_t *buf, int width, int height);
/// Return visible frame from WIRIS, numbered method
int getFrameVisibleNumbered(uint8_t *buf, int width, int height);

#endif /* SRC_LIB_VISIBLE_H_ */
